PROGRAM_NAME='@main'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE


dvDEVICE  = 5001:1:0            // AMD100/AMD200

dvTP      = 10001:1:0          // NXD-CV7 TOUCH PANEL

vdvDEVICE = 33001:1:0          // VIRTUAL DEVICE

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

INTEGER nCHAN_BTN[] =                   // CHANNEL BUTTONS ON TOUCH PANEL
{
    01,  // Increment Mic/Line 1
    02,  // Decrement Mic/Line 1
	 03,  // Increment Mic/Line 2
    04,  // Decrement Mic/Line 2
	 05,  // Increment Mic/Line 3
    06,  // Decrement Mic/Line 3
	 07,  // Increment Mic/Line 4
    08,  // Decrement Mic/Line 4
	 09,  // Increment Mic/Line 5
    10,  // Decrement Mic/Line 5
	 11,  // Increment Mic/Line 6
    12,  // Decrement Mic/Line 6
	 13,  // Increment Mic/Line 7
    14,  // Decrement Mic/Line 7
	 15,  // Increment Mic/Line 8
    16,  // Decrement Mic/Line 8	 
	 17,  // Increment Stereo BGM
    18,  // Decrement Stereo BGM	 
	 19,  // Increment Bass
    20,  // Decrement Bass	 
	 21,  // Increment Treble
    22,  // Decrement Treble	 
	 23,  // Increment Master Vol
    24,  // Decrement Master Vol
	 
	 25,	
	 
	 26,	// Source 1
	 27,	// Source 2
	 28,	// Source 3
	 29,	// Source 4
	 30,	// Source OFF
	 
	 31,  // Mic/Line 1 Mute
	 32,  // Mic/Line 1 Mute
	 33,  // Mic/Line 1 Mute
	 34,  // Mic/Line 1 Mute
	 35,  // Mic/Line 1 Mute
	 36,  // Mic/Line 1 Mute
	 37,  // Mic/Line 1 Mute
	 38,  // Mic/Line 1 Mute
	 39,  // Stereo BGM Mute
	 40,  // Bass Bypass
	 41,  // Treble Bypass
	 42   // Master Mute
}

INTEGER nTXT_BTN[] =                    // TEXT BUTTONS ON TOUCH PANEL
{
    1    
}


integer iChannelLevels[12]


(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)
(* EXAMPLE: DEFINE_FUNCTION <RETURN_TYPE> <NAME> (<PARAMETERS>) *)
(* EXAMPLE: DEFINE_CALL '<NAME>' (<PARAMETERS>) *)

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START





(***********************************************************)
(*                MODULE DEFINITIONS GO BELOW              *)
(***********************************************************)

DEFINE_MODULE 'AustralianMonitor_AMDX00_Comm' COMM1(vdvDEVICE, dvDEVICE)
DEFINE_MODULE 'AustralianMonitor_AMDX00_UI'   TP1(vdvDEVICE, dvTP, nCHAN_BTN, nTXT_BTN)



(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

